## FwupdResult FwupdResult |

## Functions

FwupdResult * | fwupd_result_new ()
FwupdResult * | fwupd_result_new_from_data ()
void | fwupd_result_add_guid ()
gboolean | fwupd_result_has_guid ()
GPtrArray * | fwupd_result_get_guids ()
const gchar * | fwupd_result_get_guid_default ()
const gchar * | fwupd_result_get_unique_id ()
void | fwupd_result_set_unique_id ()
FwupdRelease * | fwupd_result_get_release ()
FwupdDevice * | fwupd_result_get_device ()
const gchar * | fwupd_result_get_device_id ()
void | fwupd_result_set_device_id ()
const gchar * | fwupd_result_get_device_name ()
void | fwupd_result_set_device_name ()
const gchar * | fwupd_result_get_device_description ()
void | fwupd_result_set_device_description ()
const gchar * | fwupd_result_get_device_version ()
void | fwupd_result_set_device_version ()
const gchar * | fwupd_result_get_device_version_lowest ()
void | fwupd_result_set_device_version_lowest ()
const gchar * | fwupd_result_get_device_version_bootloader ()
void | fwupd_result_set_device_version_bootloader ()
guint32 | fwupd_result_get_device_flashes_left ()
void | fwupd_result_set_device_flashes_left ()
guint64 | fwupd_result_get_device_flags ()
void | fwupd_result_set_device_flags ()
void | fwupd_result_add_device_flag ()
void | fwupd_result_remove_device_flag ()
gboolean | fwupd_result_has_device_flag ()
guint64 | fwupd_result_get_device_created ()
void | fwupd_result_set_device_created ()
guint64 | fwupd_result_get_device_modified ()
void | fwupd_result_set_device_modified ()
const gchar * | fwupd_result_get_device_checksum ()
void | fwupd_result_set_device_checksum ()
GChecksumType | fwupd_result_get_device_checksum_kind ()
void | fwupd_result_set_device_checksum_kind ()
const gchar * | fwupd_result_get_device_provider ()
void | fwupd_result_set_device_provider ()
const gchar * | fwupd_result_get_device_vendor ()
void | fwupd_result_set_device_vendor ()
guint64 | fwupd_result_get_update_size ()
void | fwupd_result_set_update_size ()
const gchar * | fwupd_result_get_update_version ()
void | fwupd_result_set_update_version ()
const gchar * | fwupd_result_get_update_filename ()
void | fwupd_result_set_update_filename ()
FwupdUpdateState | fwupd_result_get_update_state ()
void | fwupd_result_set_update_state ()
const gchar * | fwupd_result_get_update_checksum ()
void | fwupd_result_set_update_checksum ()
GChecksumType | fwupd_result_get_update_checksum_kind ()
void | fwupd_result_set_update_checksum_kind ()
const gchar * | fwupd_result_get_update_uri ()
void | fwupd_result_set_update_uri ()
const gchar * | fwupd_result_get_update_homepage ()
void | fwupd_result_set_update_homepage ()
const gchar * | fwupd_result_get_update_id ()
void | fwupd_result_set_update_id ()
const gchar * | fwupd_result_get_update_description ()
void | fwupd_result_set_update_description ()
const gchar * | fwupd_result_get_update_vendor ()
void | fwupd_result_set_update_vendor ()
const gchar * | fwupd_result_get_update_summary ()
void | fwupd_result_set_update_summary ()
const gchar * | fwupd_result_get_update_error ()
void | fwupd_result_set_update_error ()
FwupdTrustFlags | fwupd_result_get_update_trust_flags ()
void | fwupd_result_set_update_trust_flags ()
const gchar * | fwupd_result_get_update_license ()
void | fwupd_result_set_update_license ()
const gchar * | fwupd_result_get_update_name ()
void | fwupd_result_set_update_name ()
GVariant * | fwupd_result_to_data ()
gchar * | fwupd_result_to_string ()
const gchar * | fwupd_result_get_guid ()
void | fwupd_result_set_guid ()

## Types and Values

#define | FWUPD_TYPE_RESULT
struct | FwupdResultClass
| FwupdResult

## Description

## Functions

### fwupd_result_new ()

    FwupdResult *
    fwupd_result_new (void);

Creates a new result.

#### Returns

a new FwupdResult

Since: 0.7.0

### fwupd_result_new_from_data ()

    FwupdResult *
    fwupd_result_new_from_data (GVariant *data);

Creates a new result using packed data.

#### Parameters

data | a GVariant |

#### Returns

a new FwupdResult, or `NULL` if `data` was invalid

Since: 0.7.0

### fwupd_result_add_guid ()

    void
    fwupd_result_add_guid (FwupdResult *result,
                           const gchar *guid);

`fwupd_result_add_guid` is deprecated and should not be used in newly-written code.

Adds the GUID if it does not already exist.

#### Parameters

result | A FwupdResult |
guid | the GUID, e.g. "2082b5e0-7a64-478a-b1b2-e3404fab6dad" |

Since: 0.7.2

### fwupd_result_has_guid ()

    gboolean
    fwupd_result_has_guid (FwupdResult *result,
                           const gchar *guid);

`fwupd_result_has_guid` is deprecated and should not be used in newly-written code.

Finds out if the device has this specific GUID.

#### Parameters

result | A FwupdResult |
guid | the GUID, e.g. "2082b5e0-7a64-478a-b1b2-e3404fab6dad" |

#### Returns

`TRUE` if the GUID is found

Since: 0.7.2

### fwupd_result_get_guids ()

    GPtrArray *
    fwupd_result_get_guids (FwupdResult *result);

`fwupd_result_get_guids` is deprecated and should not be used in newly-written code.

Gets the GUIDs.

#### Parameters

result | A FwupdResult |

#### Returns

the GUIDs.

[element-type utf8][transfer none]

Since: 0.7.2

### fwupd_result_get_guid_default ()

    const gchar *
    fwupd_result_get_guid_default (FwupdResult *result);

`fwupd_result_get_guid_default` is deprecated and should not be used in newly-written code.

Gets the default GUID.

#### Parameters

result | A FwupdResult |

#### Returns

the GUID, or `NULL` if unset

Since: 0.7.2

### fwupd_result_get_unique_id ()

    const gchar *
    fwupd_result_get_unique_id (FwupdResult *result);

Gets the unique ID that can be used for caching.

#### Parameters

result | A FwupdResult |

#### Returns

the ID, or `NULL` if unset

Since: 0.7.3

### fwupd_result_set_unique_id ()

    void
    fwupd_result_set_unique_id (FwupdResult *result,
                                const gchar *unique_id);

Sets the unique ID that can be used for caching.

#### Parameters

result | A FwupdResult |
unique_id | the result ID, e.g. "USB:foo" |

Since: 0.7.3

### fwupd_result_get_release ()

    FwupdRelease *
    fwupd_result_get_release (FwupdResult *result);

Gets the default release for this result.

#### Parameters

result | A FwupdResult |

#### Returns

the FwupdRelease.

[transfer none]

Since: 0.9.3

### fwupd_result_get_device ()

    FwupdDevice *
    fwupd_result_get_device (FwupdResult *result);

Gets the default device for this result.

#### Parameters

result | A FwupdResult |

#### Returns

the FwupdDevice.

[transfer none]

Since: 0.9.3

### fwupd_result_get_device_id ()

    const gchar *
    fwupd_result_get_device_id (FwupdResult *result);

`fwupd_result_get_device_id` is deprecated and should not be used in newly-written code.

Gets the ID.

#### Parameters

result | A FwupdResult |

#### Returns

the ID, or `NULL` if unset

Since: 0.7.0

### fwupd_result_set_device_id ()

    void
    fwupd_result_set_device_id (FwupdResult *result,
                                const gchar *device_id);

`fwupd_result_set_device_id` is deprecated and should not be used in newly-written code.

Sets the ID.

#### Parameters

result | A FwupdResult |
device_id | the result ID, e.g. "USB:foo" |

Since: 0.7.0

### fwupd_result_get_device_name ()

    const gchar *
    fwupd_result_get_device_name (FwupdResult *result);

`fwupd_result_get_device_name` is deprecated and should not be used in newly-written code.

Gets the device name.

#### Parameters

result | A FwupdResult |

#### Returns

the device name, or `NULL` if unset

Since: 0.7.0

### fwupd_result_set_device_name ()

    void
    fwupd_result_set_device_name (FwupdResult *result,
                                  const gchar *device_name);

`fwupd_result_set_device_name` is deprecated and should not be used in newly-written code.

Sets the device update_name.

#### Parameters

result | A FwupdResult |
device_name | the device update_name, e.g. "ColorHug2" |

Since: 0.7.0

### fwupd_result_get_device_description ()

    const gchar *
    fwupd_result_get_device_description (FwupdResult *result);

`fwupd_result_get_device_description` is deprecated and should not be used in newly-written code.

Gets the device description in AppStream markup format.

#### Parameters

result | A FwupdResult |

#### Returns

the device description, or `NULL` if unset

Since: 0.7.0

### fwupd_result_set_device_description ()

    void
    fwupd_result_set_device_description (FwupdResult *result,
                                         const gchar *device_description);

`fwupd_result_set_device_description` is deprecated and should not be used in newly-written code.

Sets the device description.

#### Parameters

result | A FwupdResult |
device_description | the description in AppStream markup format |

Since: 0.7.0

### fwupd_result_get_device_version ()

    const gchar *
    fwupd_result_get_device_version (FwupdResult *result);

`fwupd_result_get_device_version` is deprecated and should not be used in newly-written code.

Gets the device version.

#### Parameters

result | A FwupdResult |

#### Returns

the device version, or `NULL` if unset

Since: 0.7.0

### fwupd_result_set_device_version ()

    void
    fwupd_result_set_device_version (FwupdResult *result,
                                     const gchar *device_version);

`fwupd_result_set_device_version` is deprecated and should not be used in newly-written code.

Sets the device version.

#### Parameters

result | A FwupdResult |
device_version | the device version, e.g. "1.2.3" |

Since: 0.7.0

### fwupd_result_get_device_version_lowest ()

    const gchar *
    fwupd_result_get_device_version_lowest
                                   (FwupdResult *result);

`fwupd_result_get_device_version_lowest` is deprecated and should not be used in newly-written code.

Gets the lowest version of firmware the device will accept.

#### Parameters

result | A FwupdResult |

#### Returns

the device version_lowest, or `NULL` if unset

Since: 0.7.0

### fwupd_result_set_device_version_lowest ()

    void
    fwupd_result_set_device_version_lowest
                                   (FwupdResult *result,
                                    const gchar *device_version_lowest);

`fwupd_result_set_device_version_lowest` is deprecated and should not be used in newly-written code.

Sets the lowest version of firmware the device will accept.

#### Parameters

result | A FwupdResult |
device_version_lowest | the description |

Since: 0.7.0

### fwupd_result_get_device_version_bootloader ()

    const gchar *
    fwupd_result_get_device_version_bootloader
                                   (FwupdResult *result);

`fwupd_result_get_device_version_bootloader` is deprecated and should not be used in newly-written code.

Gets the version of the bootloader.

#### Parameters

result | A FwupdResult |

#### Returns

the device version_bootloader, or `NULL` if unset

Since: 0.8.0

### fwupd_result_set_device_version_bootloader ()

    void
    fwupd_result_set_device_version_bootloader
                                   (FwupdResult *result,
                                    const gchar *device_version_bootloader);

`fwupd_result_set_device_version_bootloader` is deprecated and should not be used in newly-written code.

Sets the bootloader version.

#### Parameters

result | A FwupdResult |
device_version_bootloader | the description |

Since: 0.8.0

### fwupd_result_get_device_flashes_left ()

    guint32
    fwupd_result_get_device_flashes_left (FwupdResult *result);

`fwupd_result_get_device_flashes_left` is deprecated and should not be used in newly-written code.

### fwupd_result_set_device_flashes_left ()

    void
    fwupd_result_set_device_flashes_left (FwupdResult *result,
                                          guint32 flashes_left);

`fwupd_result_set_device_flashes_left` is deprecated and should not be used in newly-written code.

### fwupd_result_get_device_flags ()

    guint64
    fwupd_result_get_device_flags (FwupdResult *result);

`fwupd_result_get_device_flags` is deprecated and should not be used in newly-written code.

Gets the device flags.

#### Parameters

result | A FwupdResult |

#### Returns

the device flags, or 0 if unset

Since: 0.7.0

### fwupd_result_set_device_flags ()

    void
    fwupd_result_set_device_flags (FwupdResult *result,
                                   guint64 device_flags);

`fwupd_result_set_device_flags` is deprecated and should not be used in newly-written code.

Sets the device flags.

#### Parameters

result | A FwupdResult |
device_flags | the device flags, e.g. `FWUPD_DEVICE_FLAG_REQUIRE_AC` |

Since: 0.7.0

### fwupd_result_add_device_flag ()

    void
    fwupd_result_add_device_flag (FwupdResult *result,
                                  FwupdDeviceFlags flag);

`fwupd_result_add_device_flag` is deprecated and should not be used in newly-written code.

Adds a specific device flag to the result.

#### Parameters

result | A FwupdResult |
flag | the FwupdDeviceFlags |

Since: 0.7.0

### fwupd_result_remove_device_flag ()

    void
    fwupd_result_remove_device_flag (FwupdResult *result,
                                     FwupdDeviceFlags flag);

`fwupd_result_remove_device_flag` is deprecated and should not be used in newly-written code.

Removes a specific device flag from the result.

#### Parameters

result | A FwupdResult |
flag | the FwupdDeviceFlags |

Since: 0.7.3

### fwupd_result_has_device_flag ()

    gboolean
    fwupd_result_has_device_flag (FwupdResult *result,
                                  FwupdDeviceFlags flag);

`fwupd_result_has_device_flag` is deprecated and should not be used in newly-written code.

Finds if the device has a specific device flag.

#### Parameters

result | A FwupdResult |
flag | the FwupdDeviceFlags |

#### Returns

`TRUE` if the flag is set

Since: 0.7.0

### fwupd_result_get_device_created ()

    guint64
    fwupd_result_get_device_created (FwupdResult *result);

`fwupd_result_get_device_created` is deprecated and should not be used in newly-written code.

Gets when the result was device_created.

#### Parameters

result | A FwupdResult |

#### Returns

the UNIX time, or 0 if unset

Since: 0.7.0

### fwupd_result_set_device_created ()

    void
    fwupd_result_set_device_created (FwupdResult *result,
                                     guint64 device_created);

`fwupd_result_set_device_created` is deprecated and should not be used in newly-written code.

Sets when the result was device_created.

#### Parameters

result | A FwupdResult |
device_created | the UNIX time |

Since: 0.7.0

### fwupd_result_get_device_modified ()

    guint64
    fwupd_result_get_device_modified (FwupdResult *result);

`fwupd_result_get_device_modified` is deprecated and should not be used in newly-written code.

Gets when the result was device_modified.

#### Parameters

result | A FwupdResult |

#### Returns

the UNIX time, or 0 if unset

Since: 0.7.0

### fwupd_result_set_device_modified ()

    void
    fwupd_result_set_device_modified (FwupdResult *result,
                                      guint64 device_modified);

`fwupd_result_set_device_modified` is deprecated and should not be used in newly-written code.

Sets when the result was device_modified.

#### Parameters

result | A FwupdResult |
device_modified | the UNIX time |

Since: 0.7.0

### fwupd_result_get_device_checksum ()

    const gchar *
    fwupd_result_get_device_checksum (FwupdResult *result);

`fwupd_result_get_device_checksum` is deprecated and should not be used in newly-written code.

Gets the device checksum.

#### Parameters

result | A FwupdResult |

#### Returns

the device checksum, or `NULL` if unset

Since: 0.7.0

### fwupd_result_set_device_checksum ()

    void
    fwupd_result_set_device_checksum (FwupdResult *result,
                                      const gchar *device_checksum);

`fwupd_result_set_device_checksum` is deprecated and should not be used in newly-written code.

Sets the device checksum, i.e. what is on the device right now.

#### Parameters

result | A FwupdResult |
device_checksum | the device checksum |

Since: 0.7.0

### fwupd_result_get_device_checksum_kind ()

    GChecksumType
    fwupd_result_get_device_checksum_kind (FwupdResult *result);

`fwupd_result_get_device_checksum_kind` is deprecated and should not be used in newly-written code.

Gets the device checkum kind.

#### Parameters

result | A FwupdResult |

#### Returns

the GChecksumType

Since: 0.7.0

### fwupd_result_set_device_checksum_kind ()

    void
    fwupd_result_set_device_checksum_kind (FwupdResult *result,
                                           GChecksumType checkum_kind);

`fwupd_result_set_device_checksum_kind` is deprecated and should not be used in newly-written code.

Sets the device checkum kind.

#### Parameters

result | A FwupdResult |
checkum_kind | the checksum kind, e.g. `G_CHECKSUM_SHA1` |

Since: 0.7.0

### fwupd_result_get_device_provider ()

    const gchar *
    fwupd_result_get_device_provider (FwupdResult *result);

`fwupd_result_get_device_provider` is deprecated and should not be used in newly-written code.

Gets the device provider.

#### Parameters

result | A FwupdResult |

#### Returns

the device provider, or `NULL` if unset

Since: 0.7.0

### fwupd_result_set_device_provider ()

    void
    fwupd_result_set_device_provider (FwupdResult *result,
                                      const gchar *device_provider);

`fwupd_result_set_device_provider` is deprecated and should not be used in newly-written code.

Sets the device provider.

#### Parameters

result | A FwupdResult |
device_provider | the provider name, e.g. "colorhug" |

Since: 0.7.0

### fwupd_result_get_device_vendor ()

    const gchar *
    fwupd_result_get_device_vendor (FwupdResult *result);

`fwupd_result_get_device_vendor` is deprecated and should not be used in newly-written code.

Gets the device vendor.

#### Parameters

result | A FwupdResult |

#### Returns

the device vendor, or `NULL` if unset

Since: 0.7.0

### fwupd_result_set_device_vendor ()

    void
    fwupd_result_set_device_vendor (FwupdResult *result,
                                    const gchar *device_vendor);

`fwupd_result_set_device_vendor` is deprecated and should not be used in newly-written code.

Sets the device vendor.

#### Parameters

result | A FwupdResult |
device_vendor | the description |

Since: 0.7.0

### fwupd_result_get_update_size ()

    guint64
    fwupd_result_get_update_size (FwupdResult *result);

`fwupd_result_get_update_size` is deprecated and should not be used in newly-written code.

Gets the update size.

#### Parameters

result | A FwupdResult |

#### Returns

the update size in bytes, or 0 if unset

Since: 0.7.0

### fwupd_result_set_update_size ()

    void
    fwupd_result_set_update_size (FwupdResult *result,
                                  guint64 update_size);

`fwupd_result_set_update_size` is deprecated and should not be used in newly-written code.

Sets the update size.

#### Parameters

result | A FwupdResult |
update_size | the update size in bytes |

Since: 0.7.0

### fwupd_result_get_update_version ()

    const gchar *
    fwupd_result_get_update_version (FwupdResult *result);

`fwupd_result_get_update_version` is deprecated and should not be used in newly-written code.

Gets the update version.

#### Parameters

result | A FwupdResult |

#### Returns

the update version, or `NULL` if unset

Since: 0.7.0

### fwupd_result_set_update_version ()

    void
    fwupd_result_set_update_version (FwupdResult *result,
                                     const gchar *update_version);

`fwupd_result_set_update_version` is deprecated and should not be used in newly-written code.

Sets the update version.

#### Parameters

result | A FwupdResult |
update_version | the update version, e.g. "1.2.4" |

Since: 0.7.0

### fwupd_result_get_update_filename ()

    const gchar *
    fwupd_result_get_update_filename (FwupdResult *result);

`fwupd_result_get_update_filename` is deprecated and should not be used in newly-written code.

Gets the update filename.

#### Parameters

result | A FwupdResult |

#### Returns

the update filename, or `NULL` if unset

Since: 0.7.0

### fwupd_result_set_update_filename ()

    void
    fwupd_result_set_update_filename (FwupdResult *result,
                                      const gchar *update_filename);

`fwupd_result_set_update_filename` is deprecated and should not be used in newly-written code.

Sets the update filename.

#### Parameters

result | A FwupdResult |
update_filename | the update filename on disk |

Since: 0.7.0

### fwupd_result_get_update_state ()

    FwupdUpdateState
    fwupd_result_get_update_state (FwupdResult *result);

Gets the update state.

#### Parameters

result | A FwupdResult |

#### Returns

the update state, or `FWUPD_UPDATE_STATE_UNKNOWN` if unset

Since: 0.7.0

### fwupd_result_set_update_state ()

    void
    fwupd_result_set_update_state (FwupdResult *result,
                                   FwupdUpdateState update_state);

Sets the update state.

#### Parameters

result | A FwupdResult |
update_state | the state, e.g. `FWUPD_UPDATE_STATE_PENDING` |

Since: 0.7.0

### fwupd_result_get_update_checksum ()

    const gchar *
    fwupd_result_get_update_checksum (FwupdResult *result);

`fwupd_result_get_update_checksum` is deprecated and should not be used in newly-written code.

Gets the update checksum.

#### Parameters

result | A FwupdResult |

#### Returns

the update checksum, or `NULL` if unset

Since: 0.7.0

### fwupd_result_set_update_checksum ()

    void
    fwupd_result_set_update_checksum (FwupdResult *result,
                                      const gchar *update_checksum);

`fwupd_result_set_update_checksum` is deprecated and should not be used in newly-written code.

Sets the update checksum.

#### Parameters

result | A FwupdResult |
update_checksum | the update checksum |

Since: 0.7.0

### fwupd_result_get_update_checksum_kind ()

    GChecksumType
    fwupd_result_get_update_checksum_kind (FwupdResult *result);

`fwupd_result_get_update_checksum_kind` is deprecated and should not be used in newly-written code.

Gets the update checkum kind.

#### Parameters

result | A FwupdResult |

#### Returns

the GChecksumType

Since: 0.7.0

### fwupd_result_set_update_checksum_kind ()

    void
    fwupd_result_set_update_checksum_kind (FwupdResult *result,
                                           GChecksumType checkum_kind);

`fwupd_result_set_update_checksum_kind` is deprecated and should not be used in newly-written code.

Sets the update checkum kind.

#### Parameters

result | A FwupdResult |
checkum_kind | the checksum kind, e.g. `G_CHECKSUM_SHA1` |

Since: 0.7.0

### fwupd_result_get_update_uri ()

    const gchar *
    fwupd_result_get_update_uri (FwupdResult *result);

`fwupd_result_get_update_uri` is deprecated and should not be used in newly-written code.

Gets the update uri.

#### Parameters

result | A FwupdResult |

#### Returns

the update uri, or `NULL` if unset

Since: 0.7.0

### fwupd_result_set_update_uri ()

    void
    fwupd_result_set_update_uri (FwupdResult *result,
                                 const gchar *update_uri);

`fwupd_result_set_update_uri` is deprecated and should not be used in newly-written code.

Sets the update uri, i.e. where you can download the firmware from.

#### Parameters

result | A FwupdResult |
update_uri | the update URI |

Since: 0.7.0

### fwupd_result_get_update_homepage ()

    const gchar *
    fwupd_result_get_update_homepage (FwupdResult *result);

`fwupd_result_get_update_homepage` is deprecated and should not be used in newly-written code.

Gets the update homepage.

#### Parameters

result | A FwupdResult |

#### Returns

the update homepage, or `NULL` if unset

Since: 0.7.0

### fwupd_result_set_update_homepage ()

    void
    fwupd_result_set_update_homepage (FwupdResult *result,
                                      const gchar *update_homepage);

`fwupd_result_set_update_homepage` is deprecated and should not be used in newly-written code.

Sets the update homepage.

#### Parameters

result | A FwupdResult |
update_homepage | the description |

Since: 0.7.0

### fwupd_result_get_update_id ()

    const gchar *
    fwupd_result_get_update_id (FwupdResult *result);

`fwupd_result_get_update_id` is deprecated and should not be used in newly-written code.

Gets the update id.

#### Parameters

result | A FwupdResult |

#### Returns

the update id, or `NULL` if unset

Since: 0.7.0

### fwupd_result_set_update_id ()

    void
    fwupd_result_set_update_id (FwupdResult *result,
                                const gchar *update_id);

`fwupd_result_set_update_id` is deprecated and should not be used in newly-written code.

Sets the update id.

#### Parameters

result | A FwupdResult |
update_id | the AppStream component ID, e.g. "org.hughski.ColorHug2.firmware" |

Since: 0.7.0

### fwupd_result_get_update_description ()

    const gchar *
    fwupd_result_get_update_description (FwupdResult *result);

`fwupd_result_get_update_description` is deprecated and should not be used in newly-written code.

Gets the update description in AppStream markup format.

#### Parameters

result | A FwupdResult |

#### Returns

the update description, or `NULL` if unset

Since: 0.7.0

### fwupd_result_set_update_description ()

    void
    fwupd_result_set_update_description (FwupdResult *result,
                                         const gchar *update_description);

`fwupd_result_set_update_description` is deprecated and should not be used in newly-written code.

Sets the update description.

#### Parameters

result | A FwupdResult |
update_description | the update description in AppStream markup format |

Since: 0.7.0

### fwupd_result_get_update_vendor ()

    const gchar *
    fwupd_result_get_update_vendor (FwupdResult *result);

`fwupd_result_get_update_vendor` is deprecated and should not be used in newly-written code.

Gets the update vendor.

#### Parameters

result | A FwupdResult |

#### Returns

the update vendor, or `NULL` if unset

Since: 0.7.0

### fwupd_result_set_update_vendor ()

    void
    fwupd_result_set_update_vendor (FwupdResult *result,
                                    const gchar *update_vendor);

`fwupd_result_set_update_vendor` is deprecated and should not be used in newly-written code.

Sets the update vendor.

#### Parameters

result | A FwupdResult |
update_vendor | the vendor name, e.g. "Hughski Limited" |

Since: 0.7.0

### fwupd_result_get_update_summary ()

    const gchar *
    fwupd_result_get_update_summary (FwupdResult *result);

`fwupd_result_get_update_summary` is deprecated and should not be used in newly-written code.

Gets the update summary.

#### Parameters

result | A FwupdResult |

#### Returns

the update summary, or `NULL` if unset

Since: 0.7.0

### fwupd_result_set_update_summary ()

    void
    fwupd_result_set_update_summary (FwupdResult *result,
                                     const gchar *update_summary);

`fwupd_result_set_update_summary` is deprecated and should not be used in newly-written code.

Sets the update summary.

#### Parameters

result | A FwupdResult |
update_summary | the update one line summary |

Since: 0.7.0

### fwupd_result_get_update_error ()

    const gchar *
    fwupd_result_get_update_error (FwupdResult *result);

Gets the update error.

#### Parameters

result | A FwupdResult |

#### Returns

the update error, or `NULL` if unset

Since: 0.7.0

### fwupd_result_set_update_error ()

    void
    fwupd_result_set_update_error (FwupdResult *result,
                                   const gchar *update_error);

Sets the update error.

#### Parameters

result | A FwupdResult |
update_error | the update error string |

Since: 0.7.0

### fwupd_result_get_update_trust_flags ()

    FwupdTrustFlags
    fwupd_result_get_update_trust_flags (FwupdResult *result);

Gets the update trust_flags.

#### Parameters

result | A FwupdResult |

#### Returns

the FwupdTrustFlags, or 0 if unset

Since: 0.7.0

### fwupd_result_set_update_trust_flags ()

    void
    fwupd_result_set_update_trust_flags (FwupdResult *result,
                                         FwupdTrustFlags trust_flags);

Sets the update trust_flags.

#### Parameters

result | A FwupdResult |
trust_flags | the trust flags, e.g. `FWUPD_TRUST_FLAG_PAYLOAD` |

Since: 0.7.0

### fwupd_result_get_update_license ()

    const gchar *
    fwupd_result_get_update_license (FwupdResult *result);

`fwupd_result_get_update_license` is deprecated and should not be used in newly-written code.

Gets the update license.

#### Parameters

result | A FwupdResult |

#### Returns

the update license, or `NULL` if unset

Since: 0.7.0

### fwupd_result_set_update_license ()

    void
    fwupd_result_set_update_license (FwupdResult *result,
                                     const gchar *update_license);

`fwupd_result_set_update_license` is deprecated and should not be used in newly-written code.

Sets the update license.

#### Parameters

result | A FwupdResult |
update_license | the description |

Since: 0.7.0

### fwupd_result_get_update_name ()

    const gchar *
    fwupd_result_get_update_name (FwupdResult *result);

`fwupd_result_get_update_name` is deprecated and should not be used in newly-written code.

Gets the update name.

#### Parameters

result | A FwupdResult |

#### Returns

the update name, or `NULL` if unset

Since: 0.7.0

### fwupd_result_set_update_name ()

    void
    fwupd_result_set_update_name (FwupdResult *result,
                                  const gchar *update_name);

`fwupd_result_set_update_name` is deprecated and should not be used in newly-written code.

Sets the update name.

#### Parameters

result | A FwupdResult |
update_name | the description |

Since: 0.7.0

### fwupd_result_to_data ()

    GVariant *
    fwupd_result_to_data (FwupdResult *result,
                          const gchar *type_string);

Creates a GVariant from the result data.

#### Parameters

result | A FwupdResult |
type_string | The Gvariant type string, e.g. "{sa{sv}}" or "(a{sv})" |

#### Returns

the GVariant, or `NULL` for error

Since: 0.7.0

### fwupd_result_to_string ()

    gchar *
    fwupd_result_to_string (FwupdResult *result);

Builds a text representation of the object.

#### Parameters

result | A FwupdResult |

#### Returns

text, or `NULL` for invalid

Since: 0.7.0

### fwupd_result_get_guid ()

    const gchar *
    fwupd_result_get_guid (FwupdResult *result);

`fwupd_result_get_guid` is deprecated and should not be used in newly-written code.

Gets the GUID.

#### Parameters

result | A FwupdResult |

#### Returns

the GUID, or `NULL` if unset

This function has been deprecated since 0.7.2.

Since: 0.7.0

### fwupd_result_set_guid ()

    void
    fwupd_result_set_guid (FwupdResult *result,
                           const gchar *guid);

`fwupd_result_set_guid` is deprecated and should not be used in newly-written code.

Sets the GUID.

This function has been deprecated since 0.7.2.

#### Parameters

result | A FwupdResult |
guid | the GUID, e.g. "2082b5e0-7a64-478a-b1b2-e3404fab6dad" |

Since: 0.7.0

## Types and Values

### FWUPD_TYPE_RESULT

    #define FWUPD_TYPE_RESULT (fwupd_result_get_type ())

### struct FwupdResultClass

    struct FwupdResultClass {
    	GObjectClass			 parent_class;
    };

### FwupdResult

    typedef struct _FwupdResult FwupdResult;